Bug 1295126 - Review Request: python-guzzle_sphinx_theme - Sphinx theme used by Guzzle
Review Request: python-guzzle_sphinx_theme - Sphinx theme used by Guzzle
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
AwaitingSubmitter
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-02 10:57 EST by Fabio Alessandro Locati
Modified: 2016-03-17 13:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabio Alessandro Locati 2016-01-02 10:57:36 EST
Spec URL: https://fale.fedorapeople.org/aws/python-guzzle_sphinx_theme.spec
SRPM URL: https://fale.fedorapeople.org/aws/python-guzzle_sphinx_theme-0.7.11-1.fc23.src.rpm
Description: Sphinx theme used by Guzzle
Fedora Account System Username: fale
Comment 1 Antonio Trande 2016-01-03 08:40:54 EST
- Move Python3 BuildRequires packages inside python3-%{pypi_name}

- %doc guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/ReadMe.html guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/README.md guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/SourceSerifProReadMe.html README.rst guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/LICENSE.txt

Better:

%doc guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/*[ReadMe,README].*
%license guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/LICENSE.txt

- This package provides fonts released with OFL license.
  Please, update License.

- Fix rpmlint errors and warnings.

- Python macro difinitions is necessary only in EPEL6
  https://fedoraproject.org/wiki/EPEL:Packaging#Python
Probably in future you will be able to build this package
in EPEL7 too.

https://fedorahosted.org/fpc/ticket/567

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE.txt is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 104 files have
     unknown license. Detailed output of licensecheck in
     /home/sagitter/1295126-python-guzzle_sphinx_theme/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.5/site-packages,
     /usr/lib/python3.5
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages, /usr/lib/python3.5
[!]: Package contains no bundled libraries without FPC exception.

This package provides a little font file already packaged in Fedora
(glyphicons-halflings-fonts): glyphicons-halflings-regular.ttf

[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.

See above.

[!]: Spec file is legible and written in American English.

See my notes.

[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 81920 bytes in 10 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-guzzle_sphinx_theme , python3-guzzle_sphinx_theme
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-guzzle_sphinx_theme-0.7.11-1.fc24.noarch.rpm
          python3-guzzle_sphinx_theme-0.7.11-1.fc24.noarch.rpm
          python-guzzle_sphinx_theme-0.7.11-1.fc24.src.rpm
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-BoldItalic-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-BoldItalic-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/js/bootstrap.min.js
python2-guzzle_sphinx_theme.noarch: W: spurious-executable-perm /usr/share/doc/python2-guzzle_sphinx_theme/README.md
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/ReadMe.html
python2-guzzle_sphinx_theme.noarch: W: spurious-executable-perm /usr/share/doc/python2-guzzle_sphinx_theme/ReadMe.html
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-LightItalic-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-LightItalic-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-SemiboldItalic-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-SemiboldItalic-webfont.svg
python2-guzzle_sphinx_theme.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/.DS_Store
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/css/bootstrap-theme.min.css
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/README.md
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Regular-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Regular-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/jquery.min.map
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-ExtraBoldItalic-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-ExtraBoldItalic-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/SourceSerifProReadMe.html
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Semibold-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Semibold-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Light-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Light-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/css/bootstrap.min.css
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/stylesheet.css
python2-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/stylesheet.css
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Bold-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Bold-webfont.svg
python2-guzzle_sphinx_theme.noarch: W: spurious-executable-perm /usr/share/doc/python2-guzzle_sphinx_theme/LICENSE.txt
python2-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python2-guzzle_sphinx_theme/LICENSE.txt
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/bower.json
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-ExtraBold-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-ExtraBold-webfont.svg
python2-guzzle_sphinx_theme.noarch: W: spurious-executable-perm /usr/share/doc/python2-guzzle_sphinx_theme/SourceSerifProReadMe.html
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Italic-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Italic-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/source-serif-pro.css
python2-guzzle_sphinx_theme.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/.DS_Store
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/LICENSE.txt
python2-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/LICENSE.txt
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/glyphicons-halflings-regular.svg
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-ExtraBold-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-ExtraBold-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/glyphicons-halflings-regular.svg
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Bold-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Bold-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/css/bootstrap.min.css
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/js/bootstrap.min.js
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Italic-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Italic-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-BoldItalic-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-BoldItalic-webfont.svg
python3-guzzle_sphinx_theme.noarch: W: spurious-executable-perm /usr/share/doc/python3-guzzle_sphinx_theme/LICENSE.txt
python3-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python3-guzzle_sphinx_theme/LICENSE.txt
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-SemiboldItalic-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-SemiboldItalic-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/README.md
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/stylesheet.css
python3-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/stylesheet.css
python3-guzzle_sphinx_theme.noarch: W: spurious-executable-perm /usr/share/doc/python3-guzzle_sphinx_theme/README.md
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Regular-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Regular-webfont.svg
python3-guzzle_sphinx_theme.noarch: W: spurious-executable-perm /usr/share/doc/python3-guzzle_sphinx_theme/SourceSerifProReadMe.html
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/jquery.min.map
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Light-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Light-webfont.svg
python3-guzzle_sphinx_theme.noarch: W: spurious-executable-perm /usr/share/doc/python3-guzzle_sphinx_theme/ReadMe.html
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-ExtraBoldItalic-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-ExtraBoldItalic-webfont.svg
python3-guzzle_sphinx_theme.noarch: W: hidden-file-or-dir /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/.DS_Store
python3-guzzle_sphinx_theme.noarch: W: hidden-file-or-dir /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/.DS_Store
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/ReadMe.html
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Semibold-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Semibold-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/bower.json
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-LightItalic-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-LightItalic-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/source-serif-pro.css
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/SourceSerifProReadMe.html
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/LICENSE.txt
python3-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/LICENSE.txt
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/css/bootstrap-theme.min.css
python-guzzle_sphinx_theme.src:53: W: setup-not-quiet
3 packages and 0 specfiles checked; 70 errors, 13 warnings.




Rpmlint (installed packages)
----------------------------
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-LightItalic-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-LightItalic-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Semibold-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Semibold-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-ExtraBold-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-ExtraBold-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Regular-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Regular-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/source-serif-pro.css
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Bold-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Bold-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-BoldItalic-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-BoldItalic-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-SemiboldItalic-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-SemiboldItalic-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/LICENSE.txt
python2-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/LICENSE.txt
python2-guzzle_sphinx_theme.noarch: W: spurious-executable-perm /usr/share/doc/python2-guzzle_sphinx_theme/LICENSE.txt
python2-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python2-guzzle_sphinx_theme/LICENSE.txt
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/glyphicons-halflings-regular.svg
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/SourceSerifProReadMe.html
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Light-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Light-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/jquery.min.map
python2-guzzle_sphinx_theme.noarch: W: spurious-executable-perm /usr/share/doc/python2-guzzle_sphinx_theme/SourceSerifProReadMe.html
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/README.md
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Italic-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Italic-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/bower.json
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/ReadMe.html
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-ExtraBoldItalic-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-ExtraBoldItalic-webfont.svg
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/stylesheet.css
python2-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/stylesheet.css
python2-guzzle_sphinx_theme.noarch: W: spurious-executable-perm /usr/share/doc/python2-guzzle_sphinx_theme/README.md
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/js/bootstrap.min.js
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/css/bootstrap.min.css
python2-guzzle_sphinx_theme.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/.DS_Store
python2-guzzle_sphinx_theme.noarch: W: spurious-executable-perm /usr/share/doc/python2-guzzle_sphinx_theme/ReadMe.html
python2-guzzle_sphinx_theme.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/.DS_Store
python2-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/css/bootstrap-theme.min.css
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Semibold-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Semibold-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/css/bootstrap.min.css
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/LICENSE.txt
python3-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/LICENSE.txt
python3-guzzle_sphinx_theme.noarch: W: spurious-executable-perm /usr/share/doc/python3-guzzle_sphinx_theme/LICENSE.txt
python3-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/share/doc/python3-guzzle_sphinx_theme/LICENSE.txt
python3-guzzle_sphinx_theme.noarch: W: hidden-file-or-dir /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/.DS_Store
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/bower.json
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/glyphicons-halflings-regular.svg
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/source-serif-pro.css
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-ExtraBoldItalic-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-ExtraBoldItalic-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Regular-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Regular-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/jquery.min.map
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-BoldItalic-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-BoldItalic-webfont.svg
python3-guzzle_sphinx_theme.noarch: W: spurious-executable-perm /usr/share/doc/python3-guzzle_sphinx_theme/README.md
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/css/bootstrap-theme.min.css
python3-guzzle_sphinx_theme.noarch: W: hidden-file-or-dir /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/.DS_Store
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-ExtraBold-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-ExtraBold-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/SourceSerifProReadMe.html
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Italic-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Italic-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/README.md
python3-guzzle_sphinx_theme.noarch: W: spurious-executable-perm /usr/share/doc/python3-guzzle_sphinx_theme/ReadMe.html
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-SemiboldItalic-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-SemiboldItalic-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/js/bootstrap.min.js
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/stylesheet.css
python3-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/stylesheet.css
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-LightItalic-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-LightItalic-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Bold-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Bold-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/source-serif-pro/ReadMe.html
python3-guzzle_sphinx_theme.noarch: E: script-without-shebang /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Light-webfont.svg
python3-guzzle_sphinx_theme.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python3.5/site-packages/guzzle_sphinx_theme/guzzle_sphinx_theme/static/fonts/open-sans/fonts/OpenSans-Light-webfont.svg
python3-guzzle_sphinx_theme.noarch: W: spurious-executable-perm /usr/share/doc/python3-guzzle_sphinx_theme/SourceSerifProReadMe.html
2 packages and 0 specfiles checked; 70 errors, 12 warnings.



Requires
--------
python2-guzzle_sphinx_theme (rpmlib, GLIBC filtered):
    python(abi)
    python-sphinx

python3-guzzle_sphinx_theme (rpmlib, GLIBC filtered):
    python(abi)
    python3-sphinx



Provides
--------
python2-guzzle_sphinx_theme:
    python-guzzle_sphinx_theme
    python-guzzle_sphinx_theme(x86-64)
    python2-guzzle_sphinx_theme

python3-guzzle_sphinx_theme:
    python3-guzzle_sphinx_theme



Source checksums
----------------
https://pypi.python.org/packages/source/g/guzzle_sphinx_theme/guzzle_sphinx_theme-0.7.11.tar.gz :
  CHECKSUM(SHA256) this package     : 9b8c1639c343c02c3f3db7df660ddf6f533b5454ee92a5f7b02edaa573fed3e6
  CHECKSUM(SHA256) upstream package : 9b8c1639c343c02c3f3db7df660ddf6f533b5454ee92a5f7b02edaa573fed3e6


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1295126
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Antonio Trande 2016-03-17 13:24:40 EDT
Review stalled.

Note You need to log in before you can comment on or make changes to this bug.